{****************************
 *                          *
 * Autor: Adrian M. Hanslik *
 * Date 18. June 1999       *
 * Version: 1.0             *
 *                          *
 ****************************}

unit AMHFlashLabel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TAMHFlashLabel = class(TLabel)
  private
    { Private-Deklarationen }
    fFlash: boolean;
    fInterval: integer;
    fTimer: TTimer;
    procedure SetFlash(Value: boolean);
    procedure SetInterval(Value: integer);
    procedure TimerProc(Sender: TObject);
  protected
    { Protected-Deklarationen }
  public
    { Public-Deklarationen }
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  published
    { Published-Deklarationen }
    property Flash: boolean read fFlash write SetFlash;
    property Interval: integer read fInterval write SetInterval;
  end;

implementation

constructor TAMHFlashLabel.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  fFlash := true;
  fInterval := 500;
  if not (csDesigning in ComponentState) then begin
     fTimer := TTimer.Create(Self);
     fTimer.Interval := FInterval;
     fTimer.OnTimer := TimerProc;
  end;
end;

destructor TAMHFlashLabel.Destroy;
begin
  fTimer.Free;
  inherited Destroy;
end;

procedure TAMHFlashLabel.SetFlash(Value: boolean);
begin
  if Value <> fFlash then begin
     fFlash := Value;
     Invalidate;
  end;
end;

procedure TAMHFlashLabel.SetInterval(Value: integer);
begin
  if Value <> fInterval then begin
     fInterval := Value;
     if not (csDesigning in ComponentState) then
        fTimer.Interval := fInterval;
  end;
end;

procedure TAMHFlashLabel.TimerProc(Sender: TObject);
begin
  Visible := not Visible;
end;

end.
